aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSasha Levin <sasha.levin@oracle.com>2015-11-01 16:37:14 -0500
committerSasha Levin <sasha.levin@oracle.com>2015-11-01 16:37:14 -0500
commit9c5b7d7af59e4cc67e4ff1c9e880fd32f687ce8e (patch)
tree22d8b5487f1398b07af5c5a691cc080ecec01b0a
parentab08d0584da02e29722c42868189dedec975f5d2 (diff)
downloadstable-tools-9c5b7d7af59e4cc67e4ff1c9e880fd32f687ce8e.tar.gz
show-missing-stable
Show commits marked for stable that exist in a provided range but don't exist in the local branch. Signed-off-by: Sasha Levin <sasha.levin@oracle.com>
-rw-r--r--README9
-rwxr-xr-xstable-show-missing-stable22
2 files changed, 31 insertions, 0 deletions
diff --git a/README b/README
index 07f3300..8f8e8f9 100644
--- a/README
+++ b/README
@@ -61,3 +61,12 @@ branch. Script is using the comparison described in commit-in-tree.
This is useful to audit the differences between a newly build tree vs
a different one to verify that all required commits were picked in.
+
+
+4) stable show-missing-stable <commit range>
+
+Similar to show-missing, but only shows commits that are also marked for
+stable inclusion.
+
+This is useful to run with a mainline commit range to audit that all
+relevant commits marked for stable are in the local branch.
diff --git a/stable-show-missing-stable b/stable-show-missing-stable
new file mode 100755
index 0000000..a43d3dd
--- /dev/null
+++ b/stable-show-missing-stable
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Show commits which exist in a given range, but don't exist in the current
+# branch and are marked for stable.
+#
+
+. show-missing-iter
+
+if [ "$#" -ne 1 ]; then
+ echo "Usage: stable show-missing <commit range>"
+ exit 1
+fi
+
+function stable_print {
+ if [ "$(git show $1 | grep -i 'stable@vger' | wc -l)" -eq 0]
+ return
+ fi
+
+ echo $(git log -1 --oneline $1)
+}
+
+show_missing_iter $1 stable_print